
# Turn off debuginfo package
%define _enable_debug_packages	%{nil}
%define debug_package %{nil}

%define tarversion  1_10_0
%define packname xml-xalan
%define major 18
%define minor 0
%define libname %mklibname %{name} %{minor}
%define rversion 1.10.0

Name: xalan-c
Version: 1.10
Release: %mkrel 3
License: Apache License
Group: Development/Other
Summary:	An XSLT Transformation Engine in C++
URL: http://xalan.apache.org/
Source: Xalan-C_1_10_0-src.tar.bz2 
Patch:          xalan-c-svn-20090415.patch
Patch1:         %{name}-%{rversion}-lib64.patch
Patch2:         %{name}-%{rversion}-fixes.patch
Patch3:         %{name}-%{rversion}-optflags.patch
Patch4:         %{name}-%{rversion}-gcc4.patch
Patch5:         %{name}-%{rversion}-fix_build.patch
BuildRoot: %_tmppath/%name-%version-%release-root
BuildRequires:	xerces-c-devel >= 2.8.0
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes: %name < %version
Requires:   libxalan-c0 >= 1.10-2
Requires:   libxerces-c0 >= 2.8.0

%description 
Xalan is an XSL processor for transforming XML documents
into HTML, text, or other XML document types. Xalan-C++ represents an
almost complete and a robust C++ reference implementation of the W3C
Recommendations for XSL Transformations (XSLT) and the XML Path
Language (XPath).

#------------------------------------------------------------------------

%package -n %{libname}
Group:		Development/Other
Summary:	Library for an XSLT Transformation Engine in C++
Obsoletes:	xalan-c <= xalan-c-1.1-4mdk
Obsoletes:	%{libname} < %version

%description -n %{libname}
Library for xalan-c

#------------------------------------------------------------------------

%package -n %{libname}-devel
Requires:	%libname = %version-%release
Group:		Development/Other
Summary:	Developpement files for XSLT Transformation Engine
Provides:	xalan-c-devel = %version-%release, libxalan-c-devel = %version-%release
Obsoletes:	xalan-c-devel
Obsoletes:	%{libname}-devel < %version


%description -n %{libname}-devel
Xalan is an XSL processor for transforming XML documents
into HTML, text, or other XML document types. Xalan-C++ represents an
almost complete and a robust C++ reference implementation of the W3C
Recommendations for XSL Transformations (XSLT) and the XML Path
Language (XPath).

#------------------------------------------------------------------------

%package doc
Group:		Development/Other
Summary:	Online manual for Xalan-C, XSLT Transformation Engine
Obsoletes:	%name-doc < %version

%description doc
Documentation for Xalan-C, viewable through your web server, too!

%prep
%setup -q -n %{packname}
%patch -p1
%patch1
%patch2
%patch3
%patch4
%patch5



%build
rm -f c/bin/*
rm -f c/lib/*


export XERCESCROOT=%{_prefix}
export XALANCROOT=$RPM_BUILD_DIR/xml-xalan/c
export ICUROOT=%{_prefix}
export RPM_OPT_FLAGS
cd c
chmod a+x runConfigure
chmod a+x conf*
cd $XALANCROOT
BITSTOBUILD=32
export CXXFLAGS="$RPM_OPT_FLAGS -fexceptions"
sh ./runConfigure -p linux -c gcc -x g++ -t icu -m inmem -b "$BITSTOBUILD" -P %{_prefix} -C --libdir -C %{_libdir}

make
make samples
make tests

%install
rm -rf ${RPM_BUILD_ROOT}
export XERCESCROOT=%{_prefix}
export XALANCROOT=$RPM_BUILD_DIR/xml-xalan/c
export ICUROOT=%{_prefix}
pushd c
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 bin/* $RPM_BUILD_ROOT%{_bindir}
ln -s testXSLT $RPM_BUILD_ROOT%{_bindir}/xsl-c
ln -s testXPath $RPM_BUILD_ROOT%{_bindir}/xpath-c
echo PREFIX=$RPM_BUILD_ROOT%{_prefix} >> Makefile.incl
echo prefix=$RPM_BUILD_ROOT%{_prefix} >> Makefile.incl
echo libdir=$RPM_BUILD_ROOT%{_libdir} >> Makefile.incl
echo "XSL_LIB_DIR=\${OUTDIR}/%{_lib}" >> Makefile.incl
echo "ICULIB_LOC=\${ICUROOT}/%{_lib}" >> Makefile.incl
make install
rm -f $RPM_BUILD_ROOT%{_libdir}/libicu*
popd



%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%doc c/README
%{_bindir}/*


%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/xalanc/*

%files doc
%defattr(644 root root 755)
%doc c/LICENSE c/readme.html c/xdocs/



%changelog
* Wed Nov 18 2009 Texstar <texstar at gmail.com> 1.10-3pclos2010
- add explicit dependencies

* Sat Nov 14 2009 Texstar <texstar at gmail.com> 1.10-2pclos2010
- rebuild against update xerces
- gcc update
- apply suse patches to make it build


